:root {
	--button-bg-color: #ffc72d;
	--button-bg-color-disabled: #b2a467;
	--button-border-color: #fea610;
	--button-border-disabled: #000000;
	--disabled-text-color:#515151;
	--input-bg-color:#fafafa;
	--input-pass-right-color:#77fa7c;
	--input-pass-wrong-color:#ff5353;
	--main-bg-color:#bfbfd0;
	--main-bg-color-darker:#a3a3af;
}
a {
	cursor: pointer;
	color: darkblue;
	opacity: 1;
	transition: opacity 0.5s;
	transition: color 0.5s;
	text-decoration: none;
}

a:hover {
	opacity: 0.9;
	color: darkorange;
}

* {
	box-sizing: border-box;
	font-family: 'Montserrat', sans-serif;
}

body,
html {
	height: 100%;
	margin: 0;
	background-color: var(--main-bg-color);
}

.bg-wrapper {
	background-image: url("/res/img/charts-dark2.jpg");
	height: 100%;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;
}

.main-heading {
	max-width: 750px;
	margin-left: 10%;
	position: absolute;
	top: 75px;
	margin-right: 20px;
}

.main-heading h1 {
	margin: 0;
	flex: 3;
	background-color: white;
	mix-blend-mode: screen;
	color: black;
	font-size: 40px;
	padding-left: 40px;
	padding-top: 20px;
	border-radius: 50px 20px 0 0;
}

.main-heading p {
	margin: 0;
	flex: 2;
	background-color: white;
	padding: 15px 45px;
	font-size: 12px;
	border-radius: 0 0 50px 20px;
}



.button-wrapper {
	display: inline-block;
}

.dont-show-on-small {
	display: none;
}

.button-tray {
	float: right;
	margin-right: 20px;
	z-index: 3;
}

::-webkit-scrollbar {
	width: 6px;
	height: 6px;
}

::-webkit-scrollbar-track {
	display: none;
}

::-webkit-scrollbar-thumb {
	background: var(--button-bg-color);
	border-radius: 3px;
}

::-webkit-scrollbar-thumb:hover {
	background: var(--button-border-color);
}

form {
	padding: 0 20px;
}

input{
	width:100%;
	border: 1px solid grey;
	border-radius: 3px;
	margin: 8px 0;
	padding: 10px 16px;
	background-color: var(--input-bg-color);
}

.input-inner{
	width:calc(100% - 35px);
	padding: 10px 16px;
	background:none;
	border:none;
	margin:0;
}
.loading-icon{
	animation:rotate180 0.7s ease-in-out infinite;
	margin-left:5px;
}
.checked-icon{
	animation:animatezoomin 0.5s ease-in forwards;
	margin-left:5px;
	color: #0ca40c;
}
.wrong-icon{
	animation:animatezoomin 0.5s ease-in forwards;
	margin-left:5px;
	color: red;
	cursor: pointer;
}

.input-wrapper {
	width: 100%;
	border: 1px solid grey;
	border-radius: 3px;
	margin: 8px 0;
	background-color: var(--input-bg-color);
}

.password-right{
	background-color:var(--input-pass-right-color);
}
.password-wrong{
	background-color:var(--input-pass-wrong-color);
}

button, a.button {
	background-color: var(--button-bg-color);
	padding: 10px 16px;
	margin: 8px 0;
	cursor: pointer;
	width: 100%;
	border: 2px solid var(--button-border-color);
	border-radius: 25px 10px;
	font-size: medium;
	transition: 0.5s color, 0.5s filter;
}

button:hover, a.button:hover {
	color:blue;
	filter:brightness(1.2);
}
button:disabled {
	background-color: var(--button-bg-color-disabled);
	color: var(--disabled-text-color);
    border: 2px solid var(--button-border-color-disabled);
}
button:disabled:hover {
    filter:brightness(1.0);
}


.close-icon {
	position: absolute;
	top: 3px;
	right: 8px;
	cursor: pointer;
	margin:1px;
}
.hidden{
	visibility:hidden;
}

.close-icon:hover {
	opacity: 0.5;
	-webkit-animation: rotate90 0.5s;
	animation: rotate90 0.5s
}

.login-wrapper {
	position: absolute;
	width: 90%;
	left: 5%;
	top: 5%;
	background-color: #fff;
	max-height: 90%;
	overflow-y: scroll;
}

.fading-wrapper {
	display: none;
	position: fixed;
	z-index: 1;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: rgb(0, 0, 0);
	background-color: rgba(0, 0, 0, 0.4);
}

.img-container {
	text-align: center;
	margin-bottom: 10px;
	margin-top: 10px;
}

.avatar {
	width: 40%;
}

.red {
	color: red;
}

.form-title {
	text-align: center;
}

.warning-tip {
	font-size: 0.8em;
	color: red;
}

.checkbox-wrapper {
	display: block;
	position: relative;
	padding-left: 30px;
	padding-top: 3px;
	margin-bottom: 12px;
	cursor: pointer;
	font-size: medium;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.checkbox-wrapper input {
	display: none;
}

.checkmark {
	position: absolute;
	top: 0;
	left: 0;
	height: 21px;
	width: 21px;
	background-color: #eee;
	border-radius: 3px;
}

.checkbox-wrapper:hover input~.checkmark {
	background-color: #ccc;
}

.checkbox-wrapper input:checked~.checkmark {
	background-color: #2196F3;
}

.checkbox-wrapper input:checked~.checkmark:after {
	display: block;
}

.checkbox-wrapper .checkmark:after {
	content: "";
	position: absolute;
	display: none;
	left: 7px;
	top: 3px;
	width: 5px;
	height: 10px;
	border: solid white;
	border-width: 0 3px 3px 0;
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}



#infoBox {
	position: absolute;
	background-color: lightgray;
	border-radius: 12px;
	z-index: 3;
	padding: 16px 12px;
	transform: translate(-100%, -100%);
	min-width: 250px;
}

#infoBox:after {
	content: "";
	position: absolute;
	right: 10px;
	top: 100%;
	width: 0;
	height: 0;
	border-left: 10px solid transparent;
	border-right: 10px solid transparent;
	border-top: 15px solid lightgray;
	clear: both;
}

.info-visible {
	visibility: visible;
	opacity: 0.8;
	transition: opacity 0.3s ease;
}

.info-hidden {
	visibility: hidden;
	opacity: 0;
	transition: visibility 0s 2s, opacity 2s ease;
}

header{
	background-color:var(--main-bg-color-darker);
	height:65px;
}
main{
	width: 100%;
	height: calc(100% - 65px - 32px);
	float: left;
	padding:10px 20px;
	overflow: auto;
}

nav{
	width: 100%;
	height: auto;
	float: left;
	background-color:var(--main-bg-color-darker);
}
nav ul{
	list-style-type: none;
	margin: 0;
	padding: 0;
}

nav ul li a{
	display: block;
	color: black;
	padding: 8px 16px;
	float: left;
}

nav ul li a.active{
	background-color: var(--button-bg-color);
}

nav ul li a:hover:not(.active){
	color: blue;
}

.nav-text{
	display: none;
}

.small-button{
	width:fit-content;
}
.floatR{
	float: right;
}
.openMoreButton{
	cursor: pointer;
}
.openMoreButton:hover .openMoreButtonIcon {
	opacity: 0.5;
	-webkit-animation: rotate180 0.5s;
	animation: rotate180 0.5s;
}
.moreContent{
	overflow-y:hidden;
	transition: max-height 0.5s;
}

.animateIn {
	-webkit-animation: animatezoomin 0.6s;
	animation: animatezoomin 0.6s
}

.animateOut {
	-webkit-animation: animatezoomout 0.6s;
	animation: animatezoomout 0.6s
}

.reveal-1 {
	animation: slide-up-right 1s forwards;
	animation-delay: 0.25s;
	opacity: 0;
}

.reveal-2 {
	animation: slide-left 1s forwards;
	animation-delay: 0.75s;
	opacity: 0;
}

.reveal-3 {
	animation: slide-left 1s forwards;
	animation-delay: 1s;
	opacity: 0;
}

@keyframes slide-up-right {
	from {
		opacity: 0;
		transform: translateY(100px) translateX(-100px);
	}
	to {
		opacity: 1;
		transform: translateY(0px) translateX(0px);
	}
}

@keyframes slide-left {
	from {
		opacity: 0;
		transform: translateX(50px);
	}
	to {
		opacity: 1;
		transform: translateX(0px);
	}
}

@-webkit-keyframes rotate180 {
	to {
		-webkit-transform: rotate(180deg)
	}
}

@keyframes rotate180 {
	to {
		transform: rotate(180deg)
	}
}

@-webkit-keyframes rotate90 {
	to {
		-webkit-transform: rotate(90deg)
	}
}

@keyframes rotate90 {
	to {
		transform: rotate(90deg)
	}
}

@-webkit-keyframes animatezoomin {
	0% {
		-webkit-transform: scale(0)
	}
	100% {
		-webkit-transform: scale(1)
	}
}

@keyframes animatezoomin {
	0% {
		transform: scale(0)
	}
	100% {
		transform: scale(1)
	}
}

@-webkit-keyframes animatezoomout {
	0% {
		-webkit-transform: scale(1)
	}
	100% {
		-webkit-transform: scale(0)
	}
}

@keyframes animatezoomout {
	0% {
		transform: scale(1)
	}
	100% {
		transform: scale(0)
	}
}
@media only screen and (min-width: 320px) {
	.dont-show-on-small {
		display: inline-block;
	}
	.main-heading h1 {
		font-size: 60px;
	}
	.main-heading p {
		font-size: 16px;
	}
}

@media only screen and (min-width: 320px) and (min-height:450px) {
	.main-heading {
		top: 30%;
	}
}

@media only screen and (min-width: 450px) and (min-height:600px) {
	.main-heading {
		top: 40%;
	}
}

@media only screen and (min-width:500px) {
	.login-wrapper {
		width: 450px;
		left: calc((100% - 450px) / 2);
	}
	nav{
		width: 180px;
		height: calc(100% - 65px);
	}
	main{
		width: calc(100% - 180px);
	    height: calc(100% - 65px);
	}
	nav ul li a{
		float: none;
	}
	.nav-text{
		display:inline;
	}
}

@media only screen and (min-width:500px) and (min-height:360px) {
	.main-heading h1 {
		font-size: 100px;
	}
}

@media only screen and (min-width: 750px) {
	.main-heading {
		display: flex;
		top: 50%;
	}
	.main-heading h1 {
		border-radius: 75px 0 0 30px;
	}
	.main-heading p {
		border-radius: 0 30px 75px 0;
		padding: 10px 25px 10px 10px;
	}
}

@media only screen and (min-height:700px) {
	.login-wrapper {
		max-height: 80%;
		top: 100px;
	}
}
